Error Installing Google Drive Connector: increase MySQL's max_allowed_packet, but mine is already set to 512M

  • 1
  • Problem
  • Updated 2 years ago
  • (Edited)
I'm trying to install the Connector for Google Drive on my Confluence server, but it gives the error:

"An error occurred during installation. Configure your MySQL server with a higher max_allowed_packet as described in Database Setup for MySQL."

My max_allowed_packet value is already 512M, which seems like it should be plenty high enough, given that the Confluence docs recommend 256M.

I'm using Confluence 5.9.3
Photo of James Wassink

James Wassink

  • 3 Posts
  • 1 Reply Like

Posted 2 years ago

  • 1
Photo of Khalid Kader

Khalid Kader

  • 32 Posts
  • 1 Reply Like
Hi James,

Could you increase the MySQL max_allowed_packet size to 1Mb and re-try in installing the Google Drive Connector add-on

Do let us know whether the issue is resolved or still persist after performing the changes in MySQL.

Thank you.

Cheers,
Khalid
Photo of James Wassink

James Wassink

  • 3 Posts
  • 1 Reply Like
Hi Khalid,

I increased it to 1 GB and the issue is still there.
Photo of James Wassink

James Wassink

  • 3 Posts
  • 1 Reply Like
My mistake: I thought that JIRA and Confluence were on the same server when they were not. So I was increasing the max_allowed_packet on the JIRA server and it was of course having no effect! I increased it on the correct server and everything was fine. Sorry for wasting your time.
Photo of Khalid Kader

Khalid Kader

  • 32 Posts
  • 1 Reply Like
Hi James,

No worries, we are more than happy to assist you on this and glad that this issue is resolved. 
Please feel free to contact us if there is anything we can assist you with.

Have a nice day!

Cheers,
Khalid